"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const template_1 = __importDefault(require("@babel/template"));
const ast = (0, template_1.default)({
    plugins: ['flow'],
}).ast;
const Pick = ast `type Pick<T: {}, K: $Keys<T>> = $ObjMapi<
  { [K]: any },
  <KK>(KK) => $ElementType<T, KK>
>;`;
const Omit = ast `type Omit<T: {}, K: $Keys<T>> = $ObjMapi<
  T,
  (<KK: K>(KK) => any) & (<KK: mixed>(KK) => $ElementType<T, KK>)
>;`;
exports.default = {
    Pick,
    Omit,
};
//# sourceMappingURL=helperTypes.js.map