"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NewExpression = void 0;
const convertTSTypeParameterInstantiation_1 = require("../converters/convertTSTypeParameterInstantiation");
const replaceWith_1 = require("../utils/replaceWith");
function NewExpression(path) {
    if (path.node.typeParameters) {
        const typeParameters = (0, convertTSTypeParameterInstantiation_1.convertTSTypeParameterInstantiation)(path.node.typeParameters);
        path.node.typeParameters = null;
        (0, replaceWith_1.replaceWith)(path.get('typeArguments'), typeParameters);
    }
}
exports.NewExpression = NewExpression;
//# sourceMappingURL=NewExpression.js.map